import { BigNumber } from "ethers";
import { TokenRunningBalance } from "../interfaces";
export declare enum UBAActionType {
    Deposit = "deposit",
    Refund = "refund"
}
export declare type TokenRunningBalanceWithNetSend = TokenRunningBalance & {
    netRunningBalanceAdjustment: BigNumber;
};
export declare type UBAFlowFee = {
    balancingFee: BigNumber;
};
export declare type TupleParameter = [BigNumber, BigNumber];
export declare type FlowTupleParameters = TupleParameter[];
export declare type ThresholdType = {
    target?: BigNumber;
    threshold?: BigNumber;
};
export declare type ThresholdBoundType = {
    lowerBound: ThresholdType;
    upperBound: ThresholdType;
};
