import { ethers } from "ethers";
export declare type CoingeckoDataReturnType = {
    price: ethers.BigNumber;
};
export declare type Fee = {
    total: ethers.BigNumber;
    pct: ethers.BigNumber;
};
export declare type SuggestedFeeReturnType = {
    relayerFee: Fee;
    relayerGasFee: Fee;
    relayerCapitalFee: Fee;
    isAmountTooLow: boolean;
    quoteTimestamp: ethers.BigNumber;
    quoteBlock: ethers.BigNumber;
};
export declare type BridgeLimitsReturnType = {
    minDeposit: ethers.BigNumber;
    maxDeposit: ethers.BigNumber;
    maxDepositInstant: ethers.BigNumber;
    maxDepositShortDelay: ethers.BigNumber;
};
export declare type SpecificRewardType = {
    eligible: boolean;
    completed: boolean;
    amount: string;
};
export declare type TotalRewardType = {
    welcomeTravellerRewards: SpecificRewardType;
    earlyUserRewards: SpecificRewardType;
    liquidityProviderRewards: SpecificRewardType;
    communityRewards?: SpecificRewardType;
};
export declare type AcrossBridgeStatisticsType = {
    totalDeposits: number;
    avgFillTime: number;
    totalVolumeUsd: number;
};
export declare type EndpointResultMappingType = {
    CoinGeckoData: CoingeckoDataReturnType;
    SuggestedFees: SuggestedFeeReturnType;
    BridgeLimits: BridgeLimitsReturnType;
    AcrossStats: AcrossBridgeStatisticsType;
};
